
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>C#设计模式(3)——工厂方法模式 / iVAN</title>

    <meta name="description" content="C#设计模式(3)——工厂方法模式 原文:C#设计模式(3)--工厂方法模式 一.引言 在简单工厂模式中讲到简单工厂模式的缺点,有一点是--简单工厂模式系统难以扩展,一旦添加新产品就不得不修改简单工厂方法,这样就会造成简单工厂的实现逻辑过于复杂,然而本专题介绍的工厂方法模式可以解决简单工厂模式中存在的这个问题,下面就具体看看工厂模式是如何解决该问题的. 二.工厂方法模式的实现 工厂方法模式之所以可以解决简单工厂的模式,是因为它的实现把具体产品的创建推迟到子类中,此时工厂类不再负责所有产品的创建,而只是给出具体工厂必须实现的接口,这">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">C#设计模式(3)——工厂方法模式</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>原文:<a href="http://www.cnblogs.com/zhili/p/FactoryMethod.html" rel="external nofollow noreferrer">C#设计模式(3)——工厂方法模式</a></p>
<h2>一、引言</h2>
<p>　　在<a href="http://www.cnblogs.com/zhili/p/SimpleFactory.html" rel="external nofollow noreferrer">简单工厂模式</a>中讲到简单工厂模式的缺点，有一点是——简单工厂模式系统难以扩展，一旦添加新产品就不得不修改简单工厂方法，这样就会造成简单工厂的实现逻辑过于复杂，然而本专题介绍的工厂方法模式可以解决简单工厂模式中存在的这个问题，下面就具体看看工厂模式是如何解决该问题的。</p>
<h2>二、工厂方法模式的实现</h2>
<p>　　工厂方法模式之所以可以解决简单工厂的模式，是因为它的实现把具体产品的创建推迟到子类中，此时工厂类不再负责所有产品的创建，而只是给出具体工厂必须实现的接口，这样工厂方法模式就可以允许系统不修改工厂类逻辑的情况下来添加新产品，这样也就克服了简单工厂模式中缺点。下面看下工厂模式的具体实现代码（这里还是以简单工厂模式中点菜的例子来实现）：</p>
<pre>namespace 设计模式之工厂方法模式
{
    /// &lt;summary&gt;
    /// 菜抽象类
    /// &lt;/summary&gt;
    public abstract class Food
    {
        // 输出点了什么菜
        public abstract void Print();
    }

    /// &lt;summary&gt;
    /// 西红柿炒鸡蛋这道菜
    /// &lt;/summary&gt;
    public class TomatoScrambledEggs : Food
    {
        public override void Print()
        {
            Console.WriteLine("西红柿炒蛋好了！");
        }
    }

    /// &lt;summary&gt;
    /// 土豆肉丝这道菜
    /// &lt;/summary&gt;
    public class ShreddedPorkWithPotatoes : Food
    {
        public override void Print()
        {
            Console.WriteLine("土豆肉丝好了");
        }
    }

    /// &lt;summary&gt;
    /// 抽象工厂类
    /// &lt;/summary&gt;
    public abstract class Creator
    {
        // 工厂方法
        public abstract Food CreateFoddFactory();
    }

    /// &lt;summary&gt;
    /// 西红柿炒蛋工厂类
    /// &lt;/summary&gt;
    public class TomatoScrambledEggsFactory:Creator
    {
        /// &lt;summary&gt;
        /// 负责创建西红柿炒蛋这道菜
        /// &lt;/summary&gt;
        /// &lt;returns&gt;&lt;/returns&gt;
        public override Food CreateFoddFactory()
        {
            return new TomatoScrambledEggs();
        }
    }

    /// &lt;summary&gt;
    /// 土豆肉丝工厂类
    /// &lt;/summary&gt;
    public class ShreddedPorkWithPotatoesFactory:Creator
    {
        /// &lt;summary&gt;
        /// 负责创建土豆肉丝这道菜
        /// &lt;/summary&gt;
        /// &lt;returns&gt;&lt;/returns&gt;
        public override Food CreateFoddFactory()
        {
            return new ShreddedPorkWithPotatoes();
        }
    }

    /// &lt;summary&gt;
    /// 客户端调用
    /// &lt;/summary&gt;
    class Client
    {
        static void Main(string[] args)
        {
            // 初始化做菜的两个工厂（）
            Creator shreddedPorkWithPotatoesFactory = new ShreddedPorkWithPotatoesFactory();
            Creator tomatoScrambledEggsFactory = new TomatoScrambledEggsFactory();

            // 开始做西红柿炒蛋
            Food tomatoScrambleEggs = tomatoScrambledEggsFactory.CreateFoddFactory();
            tomatoScrambleEggs.Print();

            //开始做土豆肉丝
            Food shreddedPorkWithPotatoes = shreddedPorkWithPotatoesFactory.CreateFoddFactory();
            shreddedPorkWithPotatoes.Print();

            Console.Read();
        }
    }
}</pre>
<p>使用工厂方法实现的系统，如果系统需要添加新产品时，我们可以利用多态性来完成系统的扩展，对于抽象工厂类和具体工厂中的代码都不需要做任何改动。例如，我们我们还想点一个“肉末茄子”，此时我们只需要定义一个<strong>肉末茄子具体工厂类</strong>和<strong>肉末茄子类</strong>就可以。而不用像简单工厂模式中那样去修改工厂类中的实现（具体指添加case语句)。具体代码为：</p>
<pre> /// &lt;summary&gt;
    /// 肉末茄子这道菜
    /// &lt;/summary&gt;
    public class MincedMeatEggplant : Food
    {
        /// &lt;summary&gt;
        /// 重写抽象类中的方法
        /// &lt;/summary&gt;
        public override void Print()
        {
            Console.WriteLine("肉末茄子好了");
        }
    }
 /// &lt;summary&gt;
    /// 肉末茄子工厂类，负责创建肉末茄子这道菜
    /// &lt;/summary&gt;
    public class MincedMeatEggplantFactory : Creator
    {
        /// &lt;summary&gt;
        /// 负责创建肉末茄子这道菜
        /// &lt;/summary&gt;
        /// &lt;returns&gt;&lt;/returns&gt;
        public override Food CreateFoddFactory()
        {
            return new MincedMeatEggplant();
        }
    }

    /// &lt;summary&gt;
    /// 客户端调用
    /// &lt;/summary&gt;
    class Client
    {
        static void Main(string[] args)
        {

            // 如果客户又想点肉末茄子了
            // 再另外初始化一个肉末茄子工厂
            Creator minceMeatEggplantFactor = new MincedMeatEggplantFactory();

            // 利用肉末茄子工厂来创建肉末茄子这道菜
            Food minceMeatEggplant = minceMeatEggplantFactor.CreateFoddFactory();
            minceMeatEggplant.Print();

            Console.Read();
        }
    }  </pre>

<h2>三、工厂方法模式的UML图</h2>
<p>讲解完工厂模式的具体实现之后，让我们看下工厂模式中各类之间的UML图：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18yNWY2ZmFlNmY0MzlkYjZjZDY0MjZlZGU0OTg4MjA3OS5wbmc=.jpg"></p>
<p>从UML图可以看出，<strong>在工厂方法模式中，工厂类与具体产品类具有平行的等级结构，它们之间是一一对应的</strong>。针对UML图的解释如下：</p>
<p>Creator类：充当抽象工厂角色，任何具体工厂都必须继承该抽象类</p>
<p>TomatoScrambledEggsFactory和ShreddedPorkWithPotatoesFactory类：充当具体工厂角色，用来创建具体产品</p>
<p>Food类：充当抽象产品角色，具体产品的抽象类。任何具体产品都应该继承该类</p>
<p>TomatoScrambledEggs和ShreddedPorkWithPotatoes类：充当具体产品角色，实现抽象产品类对定义的抽象方法，由具体工厂类创建，它们之间有一一对应的关系。</p>
<h2>四、.NET中实现了工厂方法的类</h2>
<p>.NET 类库中也有很多实现了工厂方法的类，例如Asp.net中，处理程序对象是具体用来处理请求，当我们请求一个*.aspx的文件时，此时会映射到<strong>System.Web.UI.PageHandlerFactory</strong>类上进行处理，而对*.ashx的请求将映射到<strong>System.Web.UI.SimpleHandlerFactory</strong>类中（这两个类都是继承于IHttpHandlerFactory接口的），关于这点说明我们可以在“C:\Windows\Microsoft.NET\Framework\v4.0.30319\Config\Web.Config”文件中找到相关定义，具体定义如下：</p>
<pre> &lt;httpHandlers&gt;
&lt;add path="*.axd" verb="*" type="System.Web.HttpNotFoundHandler" validate="True" /&gt;
            &lt;add path="*.aspx" verb="*" type="System.Web.UI.PageHandlerFactory" validate="True" /&gt;
            &lt;add path="*.ashx" verb="*" type="System.Web.UI.SimpleHandlerFactory" validate="True" /&gt;
&lt;/httpHandlers&gt;</pre>
<p>下面我们就具体看下工厂方法模式在Asp.net中是如何实现的，如果对一个Index.aspx页面发出请求时，将会调用<strong>PageHandlerFactory</strong>中GetHandler方法来创建一个Index.aspx对象，它们之间的类图关系如下：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ185ZmVjYmRmMjZjMTgxZTAyNjc5ZmY0NzgyODI0MjA3YS5wbmc=.jpg"></p>
<h2>五、总结</h2>
<p>工厂方法模式通过面向对象编程中的多态性来将对象的创建延迟到具体工厂中，从而解决了简单工厂模式中存在的问题，也很好地符合了开放封闭原则（即对扩展开发，对修改封闭）。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-18 14:40:22</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%8a%bd%e8%b1%a1%e5%b7%a5%e5%8e%82/" title="抽象工厂">抽象工厂</a>, <a href="https://www.iamivan.net/tag/web/" title="web">web</a>, <a href="https://www.iamivan.net/tag/void/" title="void">void</a>, <a href="https://www.iamivan.net/tag/class/" title="class">class</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>C#设计模式(3)——工厂方法模式的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bB1yjAz.html" rel="bookmark">乐在其中设计模式&lpar;C&num;&rpar; - 工厂方法模式&lpar;Factory Method Pattern&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:乐在其中设计模式(C#) - 工厂方法模式(Factory Method Pattern)[索引页][源码下载] 乐在其中设计模式(C#) - 工厂方法模式(Factory Method Pattern) 作者:webabcd 介绍 定义一个用于创建对象的接口,让子类决定将哪一个类实例化.Factory Method使一个类的实例化延迟到其子类. 示例 有SqlMessage和XmlMessage,用Factory Method来实例化它们. MessageModel using Syst			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPBn8qb.html" rel="bookmark">设计模式之三&lpar;工厂方法模式&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:设计模式之三(工厂方法模式) 前言 工厂方法模式:定义一个用于创建对象的接口,让子类决定实例化那一个类.工厂方法使一个类的实例化延迟到其子类. 简单工厂模式(http://www.cnblogs.com/aehyok/archive/2013/05/10/3072008.html)的最大优点在于工厂类中包含了必要的逻辑判断,根据客户端的选择条件动态实例化相关的类,对于客户端来说,去除了与具体产品的依赖. 工厂方法模式实现时,客户端需要决定实例化那一个工厂来实现运算类,选择判断的问题还是存在			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRN7PdM.html" rel="bookmark">java设计模式之工厂方法模式&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				概要 设计模式是一门艺术,如果真正了解这门艺术,你会发现,世界都将变得更加优美. 定义 定义一个用于创建对象的接口,让其子类去决定实例化那个类 使用场景 任何使用复杂对象的地方,都可以使用工厂模式 UML 1.抽象工厂  抽象工厂:我们都知道,工厂,一般只有一个作用,那就生产,比如,吉利汽车厂,那就制造吉利汽车,iphone手机制造厂就造iphone等等 所以可以用一个简单的方法概括,就是create(); 2.具体汽车制造厂  具体汽车制造厂:实现了抽象工厂,具有实际的制造汽车的流程和方法等			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3oGZJb.html" rel="bookmark">&period;NET设计模式：工厂方法模式（Factory Method）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				概述 在软件系统中,经常面临着&quot;某个对象&quot;的创建工作,由于需求的变化,这个对象的具体实现经常面临着剧烈的变化,但是它却拥有比较稳定的接口.如何应对这种变化?提供一种封装机制来隔离出&quot;这个易变对象&quot;的变化,从而保持系统中&quot;其它依赖该对象的对象&quot;不随着需求的改变而改变?这就是要说的Factory Method模式了. 意图 定义一个用户创建对象的接口,让子类决定实例化哪一个类.Factory Method使一个类的实例化延迟到其子类. 结构图 生活中			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/My3Dw8z.html" rel="bookmark">设计模式：工厂方法模式（Factory Method）和抽象工厂模式&lpar;Abstact Factory&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 在面向对象编程中, 最通常的方法是一个new操作符产生一个对象实例,new操作符就是用来构造对象实例的.但是在一些情况下, new操作符直接生成对象会带来一些问题.举例来说, 许多类型对象的创造需要一系列的步骤: 你可能需要计算或取得对象的初始设置; 选择生成哪个子对象实例; 或在生成你需要的对象之前必须先生成一些辅助功能的对象. 在这些情况,新对象的建立就是一个 &quot;过程&quot;,不仅是一个操作,像一部大机器中的一个齿轮传动. 分类  工厂模式主要是为创建对象提供过渡接口,以便将创建对象的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBgGBkM.html" rel="bookmark">C&plus;&plus;设计模式之工厂方法模式&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 之前讲到了C++设计模式--简单工厂模式,由于简单工厂模式的局限性,比如:工厂现在能生产ProductA.ProductB和ProductC三种产品了,此时,需要增加生产ProductD产品:那么,首先是不是需要在产品枚举类型中添加新的产品类型标识,然后,修改Factory类中的switch结构代码.是的,这种对代码的修改,对原有代码的改动量较大,易产生编码上的错误(虽然很简单,如果工程大了,出错也是在所难免的!!!).这种对代码的修改是最原始,最野蛮的修改,本质上不能称之为对代码的扩			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z462DPM.html" rel="bookmark">艾伟&lowbar;转载：&period;NET设计模式：工厂方法模式（Factory Method）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				概述 在软件系统中,经常面临着&quot;某个对象&quot;的创建工作,由于需求的变化,这个对象的具体实现经常面临着剧烈的变化,但是它却拥有比较稳定的接口.如何应对这种变化?提供一种封装机制来隔离出&quot;这个易变对象&quot;的变化,从而保持系统中&quot;其它依赖该对象的对象&quot;不随着需求的改变而改变?这就是要说的Factory Method模式了. 意图 定义一个用户创建对象的接口,让子类决定实例化哪一个类.Factory Method使一个类的实例化延迟到其子类. 结构图 生活中			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b26REvb.html" rel="bookmark">设计模式：工厂方法模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				之前写了  设计模式系列目录 今天说一下工厂方法模式: 定义了一个创建对象的接口,但由子类决定要实例化的类是哪一个.工厂方法让类把实例化推迟到子类 所谓的决定并不是批模式允许子类本身在运行时做决定,而是指在编写创建者类时,不需知道创建的产品是哪一下,选择了使用 哪个子类,就决定了实际创建的产品是什么.   1 #region 工厂模式 2 3 // 产品 4 public abstract class Product 5 { 6 public string productName; 7 } 8			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrKAavp.html" rel="bookmark">Java设计模式之工厂方法模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一 .工厂方法(Factory Method)模式 工厂方法模式的意义是定义一个创建产品对象的工厂接口,将实际创建工作推迟到子类当中.核心工厂类不再负责产品的创建,这样核心类成为一个抽象工厂角色,仅负责具体工厂子类必须实现的接口,这样进一步抽象化的好处是使得工厂方法模式可以使系统在不修改具体工厂角色的情况下引进新的产品. 二. 工厂方法模式角色与结构 抽象工厂(Creator)角色:是工厂方法模式的核心,与应用程序无关.任何在模式中创建的对象的工厂类必须实现这个接口. 具体工厂(Concrete			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpkmyjb.html" rel="bookmark" class="title">XML 的 RUD</a>
					<div>
						xml 在工作中使用 XML 已经很长时间了,不过长久以来都是进行的读操作,或者在生成 XML 时完全使用 StringBuffer 来构造.进行完整的读取.添加.删除.修改还是最近的事情.在这里我采 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrnV1M.html" rel="bookmark" class="title">设计理论&colon;民族的未必是世界的</a>
					<div>
						最近闲来看看楼市,在不断的浏览楼书和楼盘设计的时候,发现一个一直以来的现象没有得到任何改变 – 完全西式化的管理和楼型结构搭配着中式的宣传与&quot;品位&quot;,相映成趣.售楼小姐一向见面三分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxGqBb.html" rel="bookmark" class="title">浅谈SEO优化执行过程中的几点弊端</a>
					<div>
						SEO作为近年来流行于站长界的网络推广.营销方式,正越来越被行业内从业人员的重视.一则是相对大部分传统付费营销方式在费用上的缺省,二则是相对传统免费推广方法在效果上的显而易见. 虽然SEO优化是依附于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLO2KAM.html" rel="bookmark" class="title">linux NTP如何配置时间同步</a>
					<div>
						在RAC节点上配置时间同步 1.时间没同步在节点二上修改 vi /etc/ntp.conf # --- OUR TIMESERVERS ----- #server 0.pool.ntp.org     ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjDWkp.html" rel="bookmark" class="title">网页设计经验谈</a>
					<div>
						一.垃圾还是经典 网页技术更新很快,一个网站的界面设计寿命仅仅2-3年而已.不管是垃圾还是精品,都没有所谓的经典.经典只存在于是哪个首次成功创新性的应 用.网页设计者不管自己的学识.技术和经验如何,都 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKZO8p.html" rel="bookmark" class="title">路由器怎么升级，路由器升级操作指南</a>
					<div>
						其中TFTP用户TL-R402系列路由器的升级,其余型号路由器采用WEB页面升级的方式. 注意:升级过程不能断电,否则会导致路由器损坏而无法使用. [TFTP升级] 1.登陆路由器管理页面,进入&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0P5YmM.html" rel="bookmark" class="title">Win7电脑发生蓝屏报错&OpenCurlyDoubleQuote;0x0000040&rdquo;如何解决</a>
					<div>
						  Win7电脑发生蓝屏报错&quot;0x0000040&quot;的解决办法: 1.按Win+R打开运行,输入&quot;ncpa.cpl&quot;按回车键或确定; 2.打开网络连接窗口,在窗口 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZVnlb.html" rel="bookmark" class="title">光驱故障排除总汇</a>
					<div>
						  一.光驱常见故障的排除方法 常见故障一:光驱工作时硬盘灯始终闪烁 故障原因:这是一种假象,实际上并非如此.硬盘灯闪烁是因为光驱与硬盘同接在一个IDE接口上,光盘工作时也控制了硬盘灯的结果.可将光驱 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLB7Rb.html" rel="bookmark" class="title">看看这五种博客推广方法的具体说明</a>
					<div>
						在互联网的圈子里有关推广的问题是一个永恒的话题,你的商品哪怕再好如果没有推广出去一切都是白搭,经常听有人说&quot;酒香不怕巷子深&quot;,但结合当今社会的形式,特别是在竞争日益残酷的今天我想& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3r5xp.html" rel="bookmark" class="title">highstock navigator 无用数据去掉</a>
					<div>
						问题描述 highstock navigator 无用数据去掉 使用highstock做报表,报表下的navigator栏中出现了一些无用数据,类似00000.010等的 数据,请问怎么把这些无用数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWdrOp.html" rel="bookmark" class="title">一个简单的JS鼠标悬停特效具体方法&lowbar;javascript技巧</a>
					<div>
						首先,需加载jquery库(略过). 其次,将下面 Javascript代码加到页面的头部:  复制代码 代码如下: &lt;script type='text/javascript'&gt;     ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWeJWp.html" rel="bookmark" class="title">hdu 5563 Clarke and five-pointed star 【BestCoder Round &num;62 &lpar;div&period;2&rpar; 1002】</a>
					<div>
						Click here ~~ Clarke and five-pointed star Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 6 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWa71p.html" rel="bookmark" class="title">TreePanel的onRender和AfterRender方法</a>
					<div>
						问题描述 我最近看到&quot;ExtJS源码分析与开发实例宝典&quot;这本书中的第16章中,示例代码用到了这两个方法,觉得奇怪,因为我看到API中没有onRender这个方法,而且AfterRe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6kn8b.html" rel="bookmark" class="title">求教android中如何控制一个activity在内存中的实例个数</a>
					<div>
						问题描述 求教android中如何控制一个activity在内存中的实例个数 项目中有个需求,一个activity中有个按钮可以打开自己的另一个实例,那么这样就会出现不停的点,不停的创建这个activ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxoJQ7b.html" rel="bookmark" class="title">项目名字消失啦，是eclipse的BUG吗？</a>
					<div>
						问题描述 项目名字消失啦,是eclipse的BUG吗? 我用eclipse版本是kepler的.有个问题就是: 在project explorer窗口用鼠标单击选中项目或者.java类文件.然后点击E ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmRdrb.html" rel="bookmark" class="title">django-在用uwsgi部署Django应用时报错</a>
					<div>
						问题描述 在用uwsgi部署Django应用时报错 配置文件如下: [uwsgi] http-socket = 0.0.0.0:8080 chdir = /root/yigo_runtime/app  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5REeM.html" rel="bookmark" class="title">Boldomatic：一个只有粗体文字的世界</a>
					<div>
						摘要: 通常我比较喜欢介绍奇怪的产品,不单单是奇怪,最好要足够小.越小意味着发挥的空间越有限,在这个基础上还能做到奇怪,产品本身往往带着强烈的个人色彩. 现在小而美这种说法 通常我比较喜欢介绍奇怪的产 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxYr9Bp.html" rel="bookmark" class="title">OpenParty 2009年的第一期&lpar; 2009&period;02&period;21&rpar;&OpenCurlyDoubleQuote;有狐&rdquo;流水记录</a>
					<div>
						http://yulimin.javaeye.com/blog/340374   周六一大早就起来,咳,11点前吧好象,开始通知能够通知到的在京的兄弟姐妹们,看能不能忽悠到更多的人一起去FB. 下午, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ZV7gM.html" rel="bookmark" class="title">《Android程序设计》一3&period;5 Resources</a>
					<div>
						3.5 Resources Android应用把图像.图标和用户界面布局文件都放在名为res的目录中.res目录通常至少包括4个子目录,如下所示: layout 包含Android用户界面XML文件, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRK2ap.html" rel="bookmark" class="title">【多数据源】java SSM 框架  代码生成器 websocket即时通讯 shiro redis 后台框架源码</a>
					<div>
						获取[下载地址]   QQ: 313596790A 调用摄像头拍照,自定义裁剪编辑头像 [新录针对本系统的视频教程,手把手教开发一个模块,快速掌握本系统]B 集成代码生成器 [正反双向](单表.主表. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWxqjM.html" rel="bookmark" class="title">苹果iPhone5 16G长沙九方现货售8199元</a>
					<div>
						终于来了,不管你对苹果第六代产品iPhone 5失望与否,在它上市开卖的这段时间内你肯定不能无动于衷或者不闻不问.今年iPhone 5依旧维持着苹果一贯的高上市售价,不过让人稍稍欣慰的是今年iPhon ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Yaj9z.html" rel="bookmark" class="title">字符串拆分的问题，请高手来，会正则的也请进</a>
					<div>
						问题描述 我有一段字符串stringstr=&quot;((fnumber='0515'andfnumber&gt;'0517')or(fname&lt;&gt;'默认'))&quot;; 现在我想把 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0wGQM.html" rel="bookmark" class="title">企业能从林书豪身上学到的</a>
					<div>
						据台湾&quot;中央社&quot;报道,美国福布斯网站(Forbes.com)欧康纳(Shawn O&quot;Connor)今天(1日)从林书豪经验整理出给企业的4堂课,包括注重工作环境和团队.预 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNdE6p.html" rel="bookmark" class="title">iOS9&period;1 Beta1更新了什么 iOS9&period;1 Beta1已知Bug介绍</a>
					<div>
						iOS9.1 Beta1更新了什么? 1.全新emoji表情 这应该是iOS9.1给用户带来的能够感受到的最大变化了,由于已经支持Unicode8,iOS9.1带来了超过80多个全新的emoji表情符 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0NOQ8z.html" rel="bookmark" class="title">Android简单创建一个Activity的方法&lowbar;Android</a>
					<div>
						本文实例讲述了Android简单创建一个Activity的方法.分享给大家供大家参考,具体如下: 1) 创建一个android项目 填写项目信息 2) 创建一个新Activity 右键点击Eclips ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVJQ7z.html" rel="bookmark" class="title">苹果这回该知道地图很难做了</a>
					<div>
						上周,谷歌总裁 施密特在纽约接受媒体采访时称,Android与iOS之争,大势所趋.在被问及对http://www.aliyun.com/zixun/aggregation/38329.html&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJeq47p.html" rel="bookmark" class="title">编程 net-请看下面 lz 能赋值到上面的lz吗？</a>
					<div>
						问题描述 请看下面 lz 能赋值到上面的lz吗? If lz &lt;&gt; &quot;&quot; Then sqlstr +=&quot;crmzdy_86416028='&quot; + l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDXgZWz.html" rel="bookmark" class="title">创业板&OpenCurlyDoubleQuote;百家讲坛&rdquo;：财务PK完胜中小板</a>
					<div>
						彭洁云 7月26日,国腾电子(300101.SZ)等三只创业板新股即将网上发行,创业板个股将浩浩荡荡迈入百只队伍行列. 由于创业板高成长性.高盈利能力的特质,这支新兴大军的财务状况尤为引人关注.&lt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRdQdqz.html" rel="bookmark" class="title">关于access数据库高级查询问题</a>
					<div>
						问题描述 关于access数据库高级查询问题 access数据库有表A,结构如下自增id 用户id 成绩 录入成绩时间 如何select出的数据是这样显示的 2014-11-10 2014-11-11 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlWBGNb.html" rel="bookmark" class="title">Oracle命令行登陆导入导出以及连接字符串</a>
					<div>
						1 登陆C:\Documents and Settings\Administrator&gt;sqlplus xy/123pwd@db10   2 导入导出C:\Documents and Setti ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
